import requests
import random
import datetime

from config import __CONFIG__

def latest_release():
    r2 = requests.get('https://api.semanticscholar.org/datasets/v1/release/latest').json()
    return r2['release_id']

def first_pull():
    res = requests.get('https://api.semanticscholar.org/datasets/v1/release/latest/dataset/abstract')
    return res.json()

def abstract():
    r3 = requests.get(headers={'x-api-key':__CONFIG__['semAPI']},url=
        'https://api.semanticscholar.org/datasets/v1/release/latest/dataset/abstracts').json()

def search_paper(question):
    query=""
    for i in question:
        query += "+" + i
    res = requests.get(headers={'x-api-key':__CONFIG__['semAPI']},
                       url= 'https://api.semanticscholar.org/graph/v1/paper/search?fieldsOfStudy=Psychology&fields=abstract,citationStyles&minCitationCount='+str(random.randint(10, 500))+'&year='+str(random.randint(1900,datetime.datetime.now().year))+'-&query='+query[+1:]).json()
    return res['data']
